#define SELDONDATA_DEBUG_CHECK_INDICES
#define SELDONDATA_DEBUG_CHECK_IO
#define SELDONDATA_DEBUG_CHECK_DIMENSIONS
#define SELDONDATA_DEBUG_CHECK_MEMORY

#include "SeldonData.hxx"
using namespace SeldonData;

int main()
{

  TRY;

  RegularGrid<double> GridX_in(25), GridX_out(2.5, 0.5, 10);
  Data<double, 1> DataIn(GridX_in), DataOut(GridX_out);

  DataIn.Fill(-1.0);

  LinearInterpolationRegular(DataIn, DataOut);
  
  DataOut.Print();

  FormatText Output;
  Output.Write(DataOut, "example.dat");

  END;

  return 0;

}
